PHP


Wichtig! Profihost SystemUpdate im Februar 2020

Die PHP-Versionen 5.3, 5.4 und 5.5 fliegen bei ProfiHost raus. Bitte prüft Eure OXID-Shopversionen, ob diese noch unter PHP 5.6 – 7.3 lauffähig sind!



Dein Hoster schaltet PHP Versionen ab, was du beachten solltest?

Alte PHP-Versionen werden von den Hosting-Providern nicht mehr unterstützt. In diesem Blogpost lernst Du, was das für Dich bedeutet und ob Du handeln musst.



Unit Tests mit dem OXID Framework

In diesem Tutorial beschreibt Chris Bauer, Code.Commerce, wie Unit-Tests für das OXID eShop Framework geschrieben werden. Das ist insbesondere dann hilfreich, wenn Ihr eigene Module schreibt, die mit PHP Unit getestet werden sollen. Nur so kann in Eurem E-Commerce-Projekt die Qualität nachhaltig hoch gehalten werden.